n=int(input())
cn=list(map(int,input().split()))
price=list(map(int,input().split()))
ans=0
while len(cn):
    max1=max(cn)
    i1=cn.index(max1)
    max2=max(cn)
    i2=cn.index(max2)
    ans+=price[i1]
    if i2<i1:
        cn=cn[i1+1:]
    else:
        cn=cn[:i1]
    

print(ans)
    

